use crate::db::backend::{self, Connectable};

pub struct Settings<C: Connectable> {
    pub installed_apps: &'static [&'static crate::apps::AppConfig],
    pub database: C,
}

impl Default for Settings<backend::Sqlite> {
    fn default() -> Self {
        Self {
            installed_apps: &[],
            database: backend::Sqlite {
                db_file: "db.sqlite3",
            },
        }
    }
}
